<?php session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

 // Captura las variables que vienen de carga.php o de registrar_nota.php.
  $profesor = $_GET["profesor"];
  $periodo  = $_GET["periodo"];
  $seccion  = $_GET["seccion"];
  $sede     = $_GET["sede"];
  $materia  = $_GET["materia"];
  $carrera  = $_GET["carrera"];
  $turno  = $_GET["turno"];
  

$conn=connect();  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia, nivel, pensum, id_mencion,semestre FROM materias WHERE id_materia='$materia' and id_carrera='$carrera'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);
$nivel  = $row_rs_materias["nivel"];
$pensum  = $row_rs_materias["pensum"];
$mencion  = $row_rs_materias["id_mencion"];
$semestre  = $row_rs_materias["semestre"];


$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);
$nombre_docente=$row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres'];

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 

$query_turnos = "SELECT turno FROM turnos WHERE codigo='$turno'";
$rs_turnos = mysql_query($query_turnos, $conn) or die(mysql_error());
$row_turnos = mysql_fetch_assoc($rs_turnos);
$totalRows_turnos = mysql_num_rows($rs_turnos);
$nombre_turno=$row_turnos['turno']; 

// Determina las ponderaciones de la materia.
$query_pondera = "SELECT pondera1,pondera2,pondera3,pondera4 FROM ponderaciones WHERE sede='$sede' and lapso='$periodo' and programa='$carrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and seccion='$seccion' and turno='$turno' and semestre='$semestre' and materia='$materia' and id_docente='$profesor'";
$rs_pondera = mysql_query($query_pondera, $conn) or die(mysql_error());
$row_pondera = mysql_fetch_assoc($rs_pondera);
$totalRows_pondera = mysql_num_rows($rs_pondera);
$pondera1=$row_pondera["pondera1"];
$pondera2=$row_pondera["pondera2"];
$pondera3=$row_pondera["pondera3"];
$pondera4=$row_pondera["pondera4"];
?>

<html>
<head>
<title>sadce -- carga de notas</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Registro de Calificaciones </h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>PROGRAMA:</b>&nbsp;&nbsp;<?php echo $carrera.':'.$row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;&nbsp;<?php echo $materia.':'.$row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SECCI&Oacute;N:</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>PER&Iacute;ODO:</b> <?php echo $row_periodo['codigo']; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>



</table>
<?php
  $conn = connect();
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
 
  switch ($sql) {
    
    case "update":
      sql_update();
      break;
   
	  }

  switch ($a) {
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<hr size="1" noshade>

</body>
</html>

<?php function select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nombre_docente;
  global $pondera1;
  global $pondera2;
  global $pondera3;
  global $pondera4;

  //Busco el nombre de la materia

 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" width="100%">
<tr>
<td colspan="2"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $nombre_docente; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>ESTUDIANTES INSCRITOS:</b>&nbsp;&nbsp; <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="editar_nota" id="editar_nota">

<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td align="center" class="hr"></td>
<td align="center" class="hr"></td>
<td align="center" class="hr"></td>
<td align="center" class="hr"></td>
<td align="center" class="hr"></td>
<td align="center" class="hr">Eval. 1</td>
<td align="center" class="hr">Eval  2</td>
<td align="center" class="hr">Eval. 3</td>
<td align="center" class="hr">Eval. 4</td>
<td align="center" class="hr">Corte 1</td>
<td align="center" class="hr">V.A.</td>
</tr>
<tr>
<td align="center" class="hr">N°</td>
<td align="center" class="hr">NIE</td>

<td align="center" class="hr">C&eacute;dula</td>
<td align="center" class="hr">Apellidos</td>
<td align="center" class="hr">Nombres</td>
<td align="center" class="hr"><?php echo $pondera1 ?>%</td>
<td align="center" class="hr"><?php echo $pondera2 ?>%</td>
<td align="center" class="hr"><?php echo $pondera3 ?>%</td>
<td align="center" class="hr"><?php echo $pondera4 ?>%</td>

<td align="center" class="hr">25%</td>
<td align="center" class="hr">100%</td>

</tr>
<?php
  $nro=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$id_alumno=$row["id_alumno"]
?>
<tr>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($nro) ?></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
<td align="right" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>


<td align="center" class="<?php echo $style ?>" ><input name="corte_1" id="corte_1"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_1"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="5" size="2" onBlur="validar_corte1(this.value,'<?php echo $id_alumno ?>','<?php echo $periodo ?>','<?php echo $carrera ?>','<?php echo $materia ?>','<?php echo $seccion ?>','<?php echo $sede ?>','<?php echo $profesor ?>','<?php echo $turno ?>','<?php echo $row["corte_1"] ?>','<?php echo $nro ?>')" > </td>

<td align="center" class="<?php echo $style ?>" ><input name="corte_2" id="corte_2"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_2"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="5" size="2" onBlur="validar_corte2(this.value,'<?php echo $id_alumno ?>','<?php echo $periodo ?>','<?php echo $carrera ?>','<?php echo $materia ?>','<?php echo $seccion ?>','<?php echo $sede ?>','<?php echo $profesor ?>','<?php echo $turno ?>','<?php echo $row["corte_2"] ?>','<?php echo $nro ?>')" > </td>

<td align="center" class="<?php echo $style ?>" ><input name="corte_3" id="corte_3"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_3"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="5" size="2" onBlur="validar_corte3(this.value,'<?php echo $id_alumno ?>','<?php echo $periodo ?>','<?php echo $carrera ?>','<?php echo $materia ?>','<?php echo $seccion ?>','<?php echo $sede ?>','<?php echo $profesor ?>','<?php echo $turno ?>','<?php echo $row["corte_3"] ?>','<?php echo $nro ?>')" > </td>

<td align="center" class="<?php echo $style ?>" ><input name="corte_4" id="corte_4"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_4"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="5" size="2" onBlur="validar_corte4(this.value,'<?php echo $id_alumno ?>','<?php echo $periodo ?>','<?php echo $carrera ?>','<?php echo $materia ?>','<?php echo $seccion ?>','<?php echo $sede ?>','<?php echo $profesor ?>','<?php echo $turno ?>','<?php echo $row["corte_4"] ?>','<?php echo $nro ?>')" > </td>

<td align="center" class="<?php echo $style ?>" ><input align="middle" disabled="disabled" name="acumulado"  type="text"  id="acumulado<?php echo $nro ?>" value="<?php echo str_replace('"', '&quot;', trim($row["acumulado"])) ?>" size="3" maxlength="6" > </td>

</tr>

<?php
  $nro++;
  }
  mysql_free_result($res);
?>
</table>
</form>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<br>

<?php } ?>




<?php function connect()
{
 $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "Select inscripciones.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, inscripciones.id_periodo, inscripciones.id_carrera, inscripciones.id_materia, inscripciones.id_seccion,  inscripciones.eval1,  inscripciones.eval2,  inscripciones.eval3,  inscripciones.eval4,  inscripciones.eval5,  inscripciones.eval6,  inscripciones.eval7,  inscripciones.eval8,  inscripciones.eval9,  inscripciones.eval10,  inscripciones.eval11,  inscripciones.eval12,  inscripciones.eval13,  inscripciones.eval14,  inscripciones.eval15,   inscripciones.eval16, inscripciones.corte_1, inscripciones.corte_2, inscripciones.corte_3,  inscripciones.corte_4, inscripciones.acumulado, inscripciones.sede, inscripciones.fecha, inscripciones.id_docente From alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera' and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera'  and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} ?>

<?php

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(2,3)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">

function validar_corte1(corte_1,id_alumno,periodo,carrera,materia,seccion,sede,profesor,turno,nota_old,nro)
{
 
  if(corte_1!=""){
     if((corte_1<0) || (corte_1>25)){
	    alert("Valor <<"+corte_1+">> fuera de rango. \n El rango válido es [0..25]");
		url="cargar_notas.php?profesor="+'<?php echo $profesor; ?>'+"&periodo="+'<?php echo $periodo; ?>'+"&seccion="+'<?php echo $seccion; ?>'+"&sede="+'<?php echo $sede; ?>'+"&materia="+'<?php echo $materia; ?>'+"&carrera="+'<?php echo $carrera; ?>'+"&turno="+'<?php echo $turno; ?>'+"&a=reset";
 frame1.location=url;
 window.location.reload();
      return false;
     } 
   }	
   url="registrar_corte1.php?corte_1="+corte_1+"&id_alumno="+id_alumno+"&periodo="+periodo+"&carrera="+carrera+"&materia="+materia+"&seccion="+seccion+"&sede="+sede+"&profesor="+profesor+"&turno="+turno+"&nro="+nro;
  frame1.location=url;
  return true;
}

</script>
<script type="text/javascript">
function validar_corte2(corte_2,id_alumno,periodo,carrera,materia,seccion,sede,profesor,turno,nota_old,nro)
{
 
  if(corte_2!=""){
     if((corte_2<0) || (corte_2>25)){
	    alert("Valor <<"+corte_2+">> fuera de rango. \n El rango válido es [0..25]");
		url="cargar_notas.php?profesor="+'<?php echo $profesor; ?>'+"&periodo="+'<?php echo $periodo; ?>'+"&seccion="+'<?php echo $seccion; ?>'+"&sede="+'<?php echo $sede; ?>'+"&materia="+'<?php echo $materia; ?>'+"&carrera="+'<?php echo $carrera; ?>'+"&turno="+'<?php echo $turno; ?>'+"&a=reset";
 frame1.location=url;
 window.location.reload();
      return false;
     } 
   }	
   url="registrar_corte2.php?corte_2="+corte_2+"&id_alumno="+id_alumno+"&periodo="+periodo+"&carrera="+carrera+"&materia="+materia+"&seccion="+seccion+"&sede="+sede+"&profesor="+profesor+"&turno="+turno+"&nro="+nro;
  frame1.location=url;
  return true;
}
</script>

<script type="text/javascript">

function validar_corte3(corte_3,id_alumno,periodo,carrera,materia,seccion,sede,profesor,turno,nota_old,nro)
{
  if(corte_3!=""){
     if((corte_3<0) || (corte_3>25)){
	    alert("Valor <<"+corte_3+">> fuera de rango. \n El rango válido es [0..25]");
		url="cargar_notas.php?profesor="+'<?php echo $profesor; ?>'+"&periodo="+'<?php echo $periodo; ?>'+"&seccion="+'<?php echo $seccion; ?>'+"&sede="+'<?php echo $sede; ?>'+"&materia="+'<?php echo $materia; ?>'+"&carrera="+'<?php echo $carrera; ?>'+"&turno="+'<?php echo $turno; ?>'+"&a=reset";
 frame1.location=url;
 window.location.reload();
      return false;
     } 
   }	
   url="registrar_corte3.php?corte_3="+corte_3+"&id_alumno="+id_alumno+"&periodo="+periodo+"&carrera="+carrera+"&materia="+materia+"&seccion="+seccion+"&sede="+sede+"&profesor="+profesor+"&turno="+turno+"&nro="+nro;
  frame1.location=url;
  return true;
}
</script>

<script type="text/javascript">
function validar_corte4(corte_4,id_alumno,periodo,carrera,materia,seccion,sede,profesor,turno,nota_old,nro)
{
 
  if(corte_4!=""){
     if((corte_4<0) || (corte_4>25)){
	    alert("Valor <<"+corte_4+">> fuera de rango. \n El rango válido es [0..25]");
		url="cargar_notas.php?profesor="+'<?php echo $profesor; ?>'+"&periodo="+'<?php echo $periodo; ?>'+"&seccion="+'<?php echo $seccion; ?>'+"&sede="+'<?php echo $sede; ?>'+"&materia="+'<?php echo $materia; ?>'+"&carrera="+'<?php echo $carrera; ?>'+"&turno="+'<?php echo $turno; ?>'+"&a=reset";
 frame1.location=url;
 window.location.reload();
      return false;
     } 
   }	
   url="registrar_corte4.php?corte_4="+corte_4+"&id_alumno="+id_alumno+"&periodo="+periodo+"&carrera="+carrera+"&materia="+materia+"&seccion="+seccion+"&sede="+sede+"&profesor="+profesor+"&turno="+turno+"&nro="+nro;
  frame1.location=url;
  return true;
}
</script>

